package com.inspect.insreportdata.mapper;

import com.inspect.insreportdata.domain.InspectionReportData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface InspectionReportDataMapper {
    InspectionReportData selectInspectionReportDataByLineId(Long lineId);

    List<InspectionReportData> selectInspectionReportDataList(InspectionReportData inspectionReportData);

    List<InspectionReportData> selectListByStatus(InspectionReportData inspectionReportData);

    int insertInspectionReportData(InspectionReportData inspectionReportData);

    int updateInspectionReportData(InspectionReportData inspectionReportData);

    int deleteInspectionReportDataByLineId(Long lineId);

    int deleteInspectionReportDataByLineIds(Long[] lineIds);

    int batchInsertInspectionReportData(List<InspectionReportData> inspectionReportDataList);
}
